Kwalitee Issues

buildtool_not_executable

Change the permissions of Build.PL/Makefile.PL to not-executable.

manifest_matches_dist

Run a proper command ("make manifest" or "./Build manifest", maybe with a force option), or use a distribution builder to generate the MANIFEST. Or update MANIFEST manually.

Error:

  • MANIFEST (45) does not match dist (46):
  • Missing in MANIFEST: README

no_pod_errors

Remove the POD errors. You can check for POD errors automatically by including Test::Pod to your test suite.

Error: Net-DirectConnect-0.14/lib/Net/DirectConnect/adc.pm -- Around line 61: Unknown directive: =noAround line 82: Unknown directive: =cuAround line 332: Unknown directive: =zAround line 588: Unknown directive: =zAround line 656: Unknown directive: =zAround line 671: Unknown directive: =COMMANDSAround line 843: Unknown directive: =autoAround line 941: Unknown directive: =no Net-DirectConnect-0.14/lib/Net/DirectConnect/adcs.pm -- Around line 3: Unknown directive: =CERTS Net-DirectConnect-0.14/lib/Net/DirectConnect/clihub.pm -- Around line 411: Unknown directive: =COMMANDSAround line 625: Unknown directive: =z Net-DirectConnect-0.14/lib/Net/DirectConnect/filelist.pm -- Around line 27: Unknown directive: =tofixAround line 230: Unknown directive: =cuAround line 442: Unknown directive: =oldAround line 601: Unknown directive: =z Net-DirectConnect-0.14/lib/Net/DirectConnect/pslib/psmisc.pm -- Around line 4: Unknown directive: =copyrightAround line 121: Unknown directive: =noAround line 157: Unknown directive: =withAround line 159: Non-ASCII character seen before =encoding in '[Ќоћ…Ґађ•е]'. Assuming UTF-8Around line 166: Unknown directive: =wasAround line 396: Unknown directive: =todoAround line 603: Unknown directive: =oldAround line 1006: Unknown directive: =batAround line 1172: Unknown directive: =oldAround line 1260: Unknown directive: =todoAround line 1564: Unknown directive: =cAround line 1582: Unknown directive: =schedule Net-DirectConnect-0.14/lib/Net/DirectConnect/pslib/pssql.pm -- Around line 4: Unknown directive: =copyrightAround line 22: Unknown directive: =cAround line 575: Unknown directive: =cAround line 848: Unknown directive: =cAround line 1107: Unknown directive: =zAround line 1190: Unknown directive: =cAround line 2352: Unknown directive: =noAround line 2733: Unknown directive: =stemAround line 2890: Unknown directive: =no Net-DirectConnect-0.14/lib/Net/DirectConnect/pslib/psweb.pm -- Around line 4: Unknown directive: =copyrightAround line 159: Unknown directive: =oldAround line 215: Unknown directive: =wasAround line 776: Unknown directive: =noAround line 857: Unknown directive: =oldAround line 873: Unknown directive: =tempAround line 1327: Unknown directive: =directAround line 1732: Unknown directive: =cAround line 2063: Unknown directive: =dep Net-DirectConnect-0.14/lib/Net/DirectConnect.pm -- Around line 79: Unknown directive: =oldAround line 88: Unknown directive: =todoAround line 973: Unknown directive: =hmAround line 1014: Unknown directive: =noAround line 1422: Unknown directive: =noAround line 1927: Unknown directive: =noAround line 1960: Unknown directive: =no

prereq_matches_use

List all used modules in META.yml requires

Error:

  • psconn
  • pssql

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: Net::DirectConnect::clicli, Net::DirectConnect::http, Net::DirectConnect::pslib::psmisc, Net::DirectConnect::pslib::pssql, Net::DirectConnect::pslib::psweb

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

meta_yml_has_repository_resource

Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).

Modules

Name Abstract Version View
Net::DirectConnect Perl Direct Connect protocol implementation 0.14 metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan